<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [SleeveTask](./bitburner.sleevetask.md)

## SleeveTask interface

Object representing a sleeve current task.

<b>Signature:</b>

```typescript
export interface SleeveTask 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [crime](./bitburner.sleevetask.crime.md) | string | Crime currently attempting, if any |
|  [factionWorkType](./bitburner.sleevetask.factionworktype.md) | string | Faction work type being performed, if any |
|  [gymStatType](./bitburner.sleevetask.gymstattype.md) | string | Stat being trained at the gym, if any |
|  [location](./bitburner.sleevetask.location.md) | string | Location of the task, if any |
|  [task](./bitburner.sleevetask.task.md) | string | Task type |

